Bug 326224 - Attempting to write to a read only file leads to data loss
Summary: Attempting to write to a read only file leads to data loss
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Unclassified
Component: application (show other bugs)
Version: 3.11.2
Platform: Fedora RPMs Linux
: NOR critical (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-18 18:35 UTC by Arjun AK
Modified: 2014-01-01 18:34 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.12.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arjun AK 2013-10-18 18:35:07 UTC
Attempting to write to a read only file causes kate to close and leads to data loss

Reproducible: Always

Steps to Reproduce:
1. $touch foo
2. $chmod -w foo
3. $kate foo
4. make some changes and press the close button
5. click on save
6. shows a dialog box with text "The document could not be saved, as it was not possible to write to /tmp/foo.Check that you have write access to this file or that enough disk space is available."
7. click on ok
8. Another dialog box pops up, with text "Data you requested to be saved could not be written. Please choose how you want to proceed."
9. click ok
10. Kate closes



Qt: 4.8.5
KDE Development Platform: 4.11.2
Kate: 3.11.2
OS: Fedora 19
Comment 1 Michal Humpula 2013-12-29 16:58:18 UTC
Git commit 21b6c41109b8303990ef508a6fa8706099c37faa by Michal Humpula.
Committed on 29/12/2013 at 16:14.
Pushed by michalhumpula into branch 'master'.

fix the KateSaveModifiedDialog workflow

REVIEW: 114725

M  +3    -3    kate/app/katesavemodifieddialog.cpp

http://commits.kde.org/kate/21b6c41109b8303990ef508a6fa8706099c37faa
Comment 2 Michal Humpula 2013-12-29 16:59:01 UTC
Git commit d274ba365d74c0a03c1feb3a56a4a15f300226e6 by Michal Humpula.
Committed on 29/12/2013 at 16:14.
Pushed by michalhumpula into branch 'KDE/4.12'.

fix the KateSaveModifiedDialog workflow

REVIEW: 114725

M  +3    -3    kate/app/katesavemodifieddialog.cpp

http://commits.kde.org/kate/d274ba365d74c0a03c1feb3a56a4a15f300226e6
Comment 3 Christoph Feck 2014-01-01 18:34:55 UTC
Michal, to make the bug fix appear in the bugzilla search for the release notes, a single version number (without KDE/ prefix) is required in the field. I changed it for this bug, if there are others, please apply.